Package owl.automaton.acceptance

## Enum ParityAcceptance.Parity

- java.lang.Object
- - java.lang.Enum<ParityAcceptance.Parity>
  - - owl.automaton.acceptance.ParityAcceptance.Parity

- All Implemented Interfaces:
    `Serializable`, `Comparable<ParityAcceptance.Parity>`
  Enclosing class:
    ParityAcceptance

      public static enum ParityAcceptance.Parity
      extends Enum<ParityAcceptance.Parity>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MAX_EVEN` |
    `MAX_ODD` |
    `MIN_EVEN` |
    `MIN_ODD` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `even()` |
    `String` | `evenString()` |
    `ParityAcceptance.Parity` | `flipEven()` |
    `ParityAcceptance.Parity` | `flipMax()` |
    `boolean` | `max()` |
    `String` | `maxString()` |
    `static ParityAcceptance.Parity` | `of​(boolean max, boolean even)` |
    `ParityAcceptance.Parity` | `setEven​(boolean even)` |
    `ParityAcceptance.Parity` | `setMax​(boolean max)` |
    `String` | `toString()` |
    `static ParityAcceptance.Parity` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ParityAcceptance.Parity[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MIN_EVEN

          public static final ParityAcceptance.Parity MIN_EVEN

    - #### MIN_ODD

          public static final ParityAcceptance.Parity MIN_ODD

    - #### MAX_EVEN

          public static final ParityAcceptance.Parity MAX_EVEN

    - #### MAX_ODD

          public static final ParityAcceptance.Parity MAX_ODD

  - ### Method Detail

    - #### values

          public static ParityAcceptance.Parity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParityAcceptance.Parity c : ParityAcceptance.Parity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParityAcceptance.Parity valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### of

          public static ParityAcceptance.Parity of​(boolean max,
                                                   boolean even)

    - #### flipMax

          public ParityAcceptance.Parity flipMax()

    - #### flipEven

          public ParityAcceptance.Parity flipEven()

    - #### even

          public boolean even()

    - #### max

          public boolean max()

    - #### setEven

          public ParityAcceptance.Parity setEven​(boolean even)

    - #### setMax

          public ParityAcceptance.Parity setMax​(boolean max)

    - #### evenString

          public String evenString()

    - #### maxString

          public String maxString()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ParityAcceptance.Parity>`